# IS++

i) description of the project:
- We created an Information System called IS++ using a microservice architecture. The whole project is divided into three main services. Each of us is responsible for one of those.
- Tomáš: Subject service
- Jiří:
- Václav:

ii) a story/scenario of usage:
- More information in the use-case-diagram. But the most important functionalities are being able to Authenticate a user, create a subject and be able to enroll into the subject.

iii) why you think a microservice architecture can be appropriate:
- It would be a good idea to scale some core functionalities, like enrolling in subjects, which can be a real struggle if it is not scalable.

iv) benefits of the using microservices in this project:
- Ability to scale some parts of the application independently.
- We are able to divide the work nicely.

v) drawbacks of microservices in this case:
- Harder to design and implement.
- More things to code.

## Scenario to showcase reactive properties of the system:
i) responsiveness: 
- TODO

ii) resiliency:
- TODO

iii) elasticity: 
- Scale up during the start of registration period for student enrollment. Then scale down, when the traffic is not so large.

iv) message-driveness:
- TODO (communication between services?)

## ERD info

- Each subject can have only one teacher
- Grades are overwritten (VUT style)

## How to run app
find two empty ports (eg. 5432, 5434)
1. docker run --rm -d --name subject-postgres -e POSTGRES_PASSWORD=pass -v ${HOME}/postgres-data/subject-data/:/var/lib/postgresql/data:Z  -p 5432:5432   postgres:14.0
1. docker run --rm -d --name user-postgres -e POSTGRES_PASSWORD=pass -v ${HOME}/postgres-data/user-data/:/var/lib/postgresql/data:Z  -p 5434:5432   postgres:14.0
2. quarkus dev (in service folder)