import requests
import json
import time

AUTH_URL = "http://auth-service-xbily-dev.apps.sandbox-m2.ll9k.p1.openshiftapps.com"
# AUTH_URL = "http://localhost:8082"


def get_token(nickname, first_name, last_name, email, roles):
    start_time = time.time()
    json_data = {
      "nickname": nickname,
      "firstName": first_name,
      "lastName": last_name,
      "email": email,
      "roles": roles,
    }
    response = requests.post(AUTH_URL + '/login', json=json_data)

    print("--- %s seconds ---" % (time.time() - start_time))
    if response.status_code == 200:
        print("Successfully logged in: nickname " + nickname + ", name " + first_name + " " + last_name +
              ", email " + email + ", roles ", roles)
    else:
        print("Failed to log in: " + response.text + ".     Reason: " + response.reason)
        return

    return json.loads(response.text)["token"]
